#include <typeinfo>
#include "dostatement.h"
using namespace std;

Ast& DoStatement::operator = (const Ast& ast) {
	const DoStatement& doStatement = dynamic_cast<const DoStatement&>(ast);

	Ast::operator=(ast);
	this->simpleGuardedStatement = doStatement.simpleGuardedStatement ? dynamic_cast<SimpleGuardedStatement*>(&(doStatement.simpleGuardedStatement->clone())) : 0;

	return *(this);
}

bool DoStatement::operator == (const Ast& ast) const {
	bool result = false;
	const DoStatement& doStatement = dynamic_cast<const DoStatement&>(ast);

	if (typeid(ast) != typeid(DoStatement))
		return false;

	if (this->simpleGuardedStatement)
		result = (*(this->simpleGuardedStatement) == *(doStatement.simpleGuardedStatement));

	return result;
}

