#!/usr/bin/perl

@cpps = glob("*.cpp");
@heads = glob("*.h");

foreach $cpp (@cpps)
{
	@name = split(/\./, $cpp);
	push(@objs, $name[0] . ".o");
	push(@names, $name[0]);
}

open(MAKE, ">Makefile") or die("No foi possvel fazer o Makefile!\n");

print MAKE "all: nodes\n\n";
print MAKE "CXX=g++\n";
print MAKE "CXXFLAGS=-Wall -g\n\n";

print MAKE "nodes: @objs ";
print MAKE "\n\t-\@echo \"Nodes compilados!\"\n\n";

foreach $name (@names)
{
	print MAKE "$name\.o: $name\.cpp $name\.h\n\t";
	print MAKE "\$(CXX) \$(CXXFLAGS) -c $name.cpp\n\n";
}

print MAKE "clean:\n\t";
print MAKE "-\@rm -frv *.o *~* *.bak *.BAK";

close(MAKE);
