#include <typeinfo>
#include "guardexpression.h"
using namespace std;

Ast& GuardExpression::operator = (const Ast& ast) {
	const GuardExpression& guardExpression = dynamic_cast<const GuardExpression&>(ast);

	Guard::operator=(ast);
	this->expression = guardExpression.expression ? dynamic_cast<Expression*>(&(guardExpression.expression->clone())) : 0;

	return *(this);
}

bool GuardExpression::operator == (const Ast& ast) const {
	bool result = false;
	const GuardExpression& guardExpression = dynamic_cast<const GuardExpression&>(ast);

	if (typeid(ast) != typeid(GuardExpression))
		return false;

	if (this->expression)
		result = (*(this->expression) == *(guardExpression.expression));

	return result && Guard::operator==(ast);
}

