#include <typeinfo>
#include "identifier.h"
using namespace std;

Ast& Identifier::operator = (const Ast& ast) {
	const Identifier& identifier = dynamic_cast<const Identifier&>(ast);

	Ast::operator=(ast);
	this->name = identifier.name;

	return *(this);
}

bool Identifier::operator == (const Ast& ast) const {
	const Identifier& identifier = dynamic_cast<const Identifier&>(ast);

	if (typeid(ast) != typeid(Identifier))
		return false;

	return (this->name == identifier.name) && Ast::operator==(ast);
}

