#!/bin/bash

./createClass.pl Program import behavior message process

./createClass.pl Import
./createClass.pl SimpleImport stringLiteral
./createClass.pl SequentialImport

./createClass.pl Behavior
./createClass.pl SimpleBehavior identifierList
./createClass.pl SequentialBehavior

./createClass.pl Message
./createClass.pl SimpleMessage identifier fieldDeclaration
./createClass.pl SequentialMessage

./createClass.pl FieldDeclaration
./createClass.pl SimpleFieldDeclaration identifier fieldType expression stringLiteral
./createClass.pl SequentialFieldDeclaration

./createClass.pl FieldType expression

./createClass.pl Process
./createClass.pl SimpleProcess identifier declaration action
./createClass.pl SequentialProcess

./createClass.pl Declaration
./createClass.pl SimpleDeclaration identifierList type expression
./createClass.pl SequentialDeclaration

#./createClass.pl Identifier j est feito!!!
./createClass.pl IdentifierList
./createClass.pl SimpleIdentifierList identifier
./createClass.pl SequentialIdentifierList

./createClass.pl Action
./createClass.pl SimpleAction guard statement
./createClass.pl SequentialAction

./createClass.pl Guard
./createClass.pl GuardExpression expression
./createClass.pl GuardReceive receiveStatement
./createClass.pl GuardTimeout identifier

./createClass.pl Expression
./createClass.pl BinaryExpression
./createClass.pl UnaryExpression expression

./createClass.pl ArrayReference
./createClass.pl SimpleArrayReference identifier expression
./createClass.pl MultipleArrayReference arrayReference expression

./createClass.pl Statement
./createClass.pl SimpleStatement
./createClass.pl SequentialStatement

./createClass.pl SkipStatement

./createClass.pl LeftSide
./createClass.pl LeftSideList
./createClass.pl SimpleLeftSideList leftSide
./createClass.pl SequentialLeftSideList

./createClass.pl ReceiveStatement
./createClass.pl SendStatement
./createClass.pl IfStatement guardedStatement
./createClass.pl DoStatement guardedStatement
./createClass.pl ActStatement identifier expression
./createClass.pl StartStatement identifier
./createClass.pl StopStatement
./createClass.pl BehaviorStatement expressionList

./createClass.pl ExpressionList
./createClass.pl SimpleExpressionList expression
./createClass.pl SequentialExpressionList

./createClass.pl AssignStatement leftSideList expressionList

./createClass.pl GuardedStatement
./createClass.pl SimpleGuardedStatement expression statement
./createClass.pl SequentialGuardedStatement

./createClass.pl Type
