#include <typeinfo>
#include "simplebehavior.h"
using namespace std;

Ast& SimpleBehavior::operator = (const Ast& ast) {
	const SimpleBehavior& simpleBehavior = dynamic_cast<const SimpleBehavior&>(ast);

	Behavior::operator=(ast);
	this->identifierList = simpleBehavior.identifierList ? dynamic_cast<IdentifierList*>(&(simpleBehavior.identifierList->clone())) : 0;

	return *(this);
}

bool SimpleBehavior::operator == (const Ast& ast) const {
	bool result = false;
	const SimpleBehavior& simpleBehavior = dynamic_cast<const SimpleBehavior&>(ast);

	if (typeid(ast) != typeid(SimpleBehavior))
		return false;

	if (this->identifierList)
		result = (*(this->identifierList) == *(simpleBehavior.identifierList));

	return result && Behavior::operator==(ast);
}

