#include <typeinfo>
#include "simpleleftsidelist.h"
using namespace std;

Ast& SimpleLeftSideList::operator = (const Ast& ast) {
	const SimpleLeftSideList& simpleLeftSideList = dynamic_cast<const SimpleLeftSideList&>(ast);

	LeftSideList::operator=(ast);
	this->leftSide = simpleLeftSideList.leftSide ? dynamic_cast<LeftSide*>(&(simpleLeftSideList.leftSide->clone())) : 0;

	return *(this);
}

bool SimpleLeftSideList::operator == (const Ast& ast) const {
	bool result = false;
	const SimpleLeftSideList& simpleLeftSideList = dynamic_cast<const SimpleLeftSideList&>(ast);

	if (typeid(ast) != typeid(SimpleLeftSideList))
		return false;

	if (this->leftSide)
		result = (*(this->leftSide) == *(simpleLeftSideList.leftSide));

	return result && LeftSideList::operator==(ast);
}

