#ifndef STOP_STATEMENT_H
#define STOP_STATEMENT_H

#include "simplestatement.h"

class StopStatement : public SimpleStatement {
	private:

	public:
		StopStatement(SrcPosition *position)
				: SimpleStatement(position) {}

		virtual ~StopStatement() {
		}

		virtual Ast& operator = (const Ast& ast) {
			Ast::operator=(ast);
			return *(this);
		}
		virtual bool operator == (const Ast& ast) const {
			return Ast::operator==(ast);
		}

		virtual VisitorReturn *visit(Visitor &visitor) {
			return visitor.visitStopStatement(this);
		}

		virtual Ast &clone() const{
			return *(new StopStatement(new SrcPosition(*position)));
		}
};

#endif
