#include "threadreceiver.h"
#include <sys/select.h>
#include "cpmsocketlist.h"
#include "cpmqueue.h"

extern PMSocketList *socketList;

extern PMQueue *messageQueue;

extern PMSocket *protocolAddress;


GenericMessage *decodeMessage(PMSocket *sock) {
	return NULL;
}


void *threadreceiver(void *arg) {
	pmsocketlist_iterator *iter;
	fd_set rfds;
	GenericMessage *message = NULL;

	while(1) {
		pmsocketlist_lock(socketList);

		//Adiciona os descritores dos sockets no fd_set
		FD_ZERO(&rfds);
		iter = socketList->head;
		while(iter != NULL) {
			FD_SET(iter->socket->socketFD, &rfds);
			iter = iter->next;
		}

		pmsocketlist_unlock(socketList);

		select(socketList->maxfd+1, &rfds, NULL, NULL, NULL);

		pmsocketlist_lock(socketList);
		//ve quem foi selecionado...
		iter = socketList->head;
		while(iter != NULL) {
			if(FD_ISSET(iter->socket->socketFD, &rfds)) {
				if(iter->socket->trans == TCP) {
					if(iter->socket->var) {
						if(iter->socket->connected) {
							message = decodeMessage(iter->socket);
							pmqueue_enqueue(messageQueue, message);
						} else {
							iter->socket = pmsocket_accept(protocolAddress, 5);
						}
					} else {
						if(iter->socket->connected) {
							message = decodeMessage(iter->socket);
							pmqueue_enqueue(messageQueue, message);
						} else {
							pmsocket_connect(iter->socket);
						}
					}

				} else {

					//se for constante...
					if(!iter->socket->var) {

					}
					message = decodeMessage(iter->socket);
					pmqueue_enqueue(messageQueue, message);
				}
			}
			iter = iter->next;
		}


		pmsocketlist_unlock(socketList);
	}

}
