#include <typeinfo>
#include "actstatement.h"
using namespace std;

Ast& ActStatement::operator = (const Ast& ast) {
	const ActStatement& actStatement = dynamic_cast<const ActStatement&>(ast);

	Ast::operator=(ast);
	this->identifier = actStatement.identifier ? dynamic_cast<Identifier*>(&(actStatement.identifier->clone())) : 0;
	this->expression = actStatement.expression ? dynamic_cast<Expression*>(&(actStatement.expression->clone())) : 0;

	return *(this);
}

bool ActStatement::operator == (const Ast& ast) const {
	bool result = false;
	const ActStatement& actStatement = dynamic_cast<const ActStatement&>(ast);

	if (typeid(ast) != typeid(ActStatement))
		return false;

	if (this->identifier && this->expression)
		result = (*(this->identifier) == *(actStatement.identifier) &&
				   *(this->expression) == *(actStatement.expression));

	return result;
}

