#ifndef ARRAY_REFERENCE_H
#define ARRAY_REFERENCE_H

#include "leftside.h"
#include "expression.h"

class ArrayReference : public LeftSide, public Expression {
	private:

	public:
		ArrayReference(SrcPosition *position)
				: Ast(position), LeftSide(position), Expression(position){}

		virtual ~ArrayReference() {
		}

		virtual Ast& operator = (const Ast& ast) {
			return Ast::operator=(ast);
		}
		virtual bool operator == (const Ast& ast) const {
			return Ast::operator==(ast);
		}
};

#endif
