#ifndef AST_H
#define AST_H
#include "srcposition.h"
#include "visitor.h"


class Ast {
	protected:
		SrcPosition *position;
	public:
		Ast(SrcPosition *position);
		Ast(const Ast& ast);
		//Ast() {}

		virtual ~Ast();

		SrcPosition *getPosition();
		void setPosition(SrcPosition *position);

		virtual Ast& operator = (const Ast& ast);
		virtual bool operator == (const Ast& ast) const;
		//ver a assinatura do visit depois...
		virtual VisitorReturn *visit(Visitor& visitor) = 0;
		virtual Ast& clone() const = 0;
};

#endif
