#include <typeinfo>
#include "multiplearrayreference.h"
using namespace std;

Ast& MultipleArrayReference::operator = (const Ast& ast) {
	const MultipleArrayReference& multipleArrayReference = dynamic_cast<const MultipleArrayReference&>(ast);

	ArrayReference::operator=(ast);
	this->arrayReference = multipleArrayReference.arrayReference ? dynamic_cast<ArrayReference*>(&(multipleArrayReference.arrayReference->clone())) : 0;
	this->expression = multipleArrayReference.expression ? dynamic_cast<Expression*>(&(multipleArrayReference.expression->clone())) : 0;

	return *(this);
}

bool MultipleArrayReference::operator == (const Ast& ast) const {
	bool result = false;
	const MultipleArrayReference& multipleArrayReference = dynamic_cast<const MultipleArrayReference&>(ast);

	if (typeid(ast) != typeid(MultipleArrayReference))
		return false;

	if (this->arrayReference && this->expression)
		result = (*(this->arrayReference) == *(multipleArrayReference.arrayReference) &&
				   *(this->expression) == *(multipleArrayReference.expression));

	return result && ArrayReference::operator==(ast);
}

