#include <typeinfo>
#include "simpleidentifierlist.h"
using namespace std;

Ast& SimpleIdentifierList::operator = (const Ast& ast) {
	const SimpleIdentifierList& simpleIdentifierList = dynamic_cast<const SimpleIdentifierList&>(ast);

	IdentifierList::operator=(ast);
	this->identifier = simpleIdentifierList.identifier ? dynamic_cast<Identifier*>(&(simpleIdentifierList.identifier->clone())) : 0;

	return *(this);
}

bool SimpleIdentifierList::operator == (const Ast& ast) const {
	bool result = false;
	const SimpleIdentifierList& simpleIdentifierList = dynamic_cast<const SimpleIdentifierList&>(ast);

	if (typeid(ast) != typeid(SimpleIdentifierList))
		return false;

	if (this->identifier)
		result = (*(this->identifier) == *(simpleIdentifierList.identifier));

	return result && IdentifierList::operator==(ast);
}

