#include <typeinfo>
#include "startstatement.h"
using namespace std;

Ast& StartStatement::operator = (const Ast& ast) {
	const StartStatement& startStatement = dynamic_cast<const StartStatement&>(ast);

	Ast::operator=(ast);
	this->identifier = startStatement.identifier ? dynamic_cast<Identifier*>(&(startStatement.identifier->clone())) : 0;

	return *(this);
}

bool StartStatement::operator == (const Ast& ast) const {
	bool result = false;
	const StartStatement& startStatement = dynamic_cast<const StartStatement&>(ast);

	if (typeid(ast) != typeid(StartStatement))
		return false;

	if (this->identifier)
		result = (*(this->identifier) == *(startStatement.identifier));

	return result;
}

