#ifndef VISITOR_RETURN_H
#define VISITOR_RETURN_H

#include <vector>
#include <string>
using namespace std;

class Type;
class SimpleFieldDeclaration;
class SimpleGuardedStatement;
class Expression;
class ArrayType;

struct VisitorReturn {
	Type *type;
	vector<SimpleFieldDeclaration*> fields;
	vector<string> names;
	vector<SimpleGuardedStatement*> guardedStmts;
	vector<Expression*> exprs;
	vector<ArrayType*> ats;
	vector<string> arrayNames;
};

#endif

